package digital.laboratory.platform.inspection.event;

import org.springframework.context.ApplicationEvent;

import java.time.Clock;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 计算检验数据事件
 * @date 2025/3/20 16:46
 */
public class CalculateInspectDataEvent extends ApplicationEvent {

    private final String testId;

    public CalculateInspectDataEvent(Object source, String testId) {
        super(source);
        this.testId = testId;
    }

    public CalculateInspectDataEvent(Object source, Clock clock, String testId) {
        super(source, clock);
        this.testId = testId;
    }
}
